Page MenuHomePhabricator

CSS class not highlighted when followed by a comma in GeSHi
Closed, ResolvedPublic

Description

The styling used to denote classes in CSS is not applied to classes followed immediately by a comma, see line 5 of https://en.wikipedia.org/w/index.php?title=User:Mdowdell/vector.css&oldid=600474823 for an example.


Version: unspecified
Severity: minor

Details

Reference
bz62876

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 3:06 AM
bzimport set Reference to bz62876.
bzimport added a subscriber: Unknown Object (MLST).
onei created this task.Mar 20 2014, 5:21 PM
Reedy added a comment.Mar 20 2014, 5:34 PM

Might need/want upstreaming...

onei added a comment.Mar 20 2014, 11:30 PM

(In reply to Sam Reed (reedy) from comment #1)

Might need/want upstreaming...

It exists in other places that use GeSHi, such as [http://pastebin.com/DZGq13Ax pastebin], so upstreaming would be good :)

Legoktm closed this task as Resolved.Jun 22 2015, 11:49 PM
Legoktm claimed this task.
Legoktm added a subscriber: Legoktm.

This is fixed in Pygments, the new library used for syntax highlighting. See T85794: Convert SyntaxHighlight_Geshi from Geshi to Pygments (was: Don't register 250+ modules) for more details.